> For the complete documentation index, see [llms.txt](https://developer.harness.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.harness.io/feature-management-experimentation/split-api-reference/restrictions.md).

# Restrictions

## GET /restrictions

> List restrictions

```json
{"openapi":"3.1.0","info":{"title":"Harness FME Admin API","version":"2"},"tags":[{"name":"Restrictions"}],"servers":[{"url":"https://api.split.io/internal/api/v2"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"Admin API Key, sent as `Authorization: Bearer <ADMIN_API_KEY>`"}}},"paths":{"/restrictions":{"get":{"summary":"List restrictions","description":"","operationId":"list-restrictions","parameters":[{"name":"resource_type","in":"query","description":"The type of the resource to restrict.","schema":{"type":"string","default":"workspace"}},{"name":"resource_id","in":"query","description":"The id of the resource to restrict.","schema":{"type":"string"}},{"name":"offset","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"200","content":{"application/json":{"schema":{"type":"object","properties":{"objects":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"resource":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"type":{"type":"string"}}},"operations":{"type":"object","properties":{"view":{"type":"boolean","default":true}}},"resourcePermissions":{"type":"object","properties":{"view":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"type":{"type":"string"}}}}}}}}},"offset":{"type":"integer","default":0},"limit":{"type":"integer","default":0},"totalCount":{"type":"integer","default":0}}}}}},"401":{"description":"401","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer","default":0},"message":{"type":"string"},"details":{"type":"string"},"transactionId":{"type":"string"}}}}}},"500":{"description":"500","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer","default":0},"message":{"type":"string"},"details":{"type":"string"},"transactionId":{"type":"string"}}}}}}},"deprecated":false,"tags":["Restrictions"]}}}}
```

## PUT /restrictions

> Update restrictions

```json
{"openapi":"3.1.0","info":{"title":"Harness FME Admin API","version":"2"},"tags":[{"name":"Restrictions"}],"servers":[{"url":"https://api.split.io/internal/api/v2"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"Admin API Key, sent as `Authorization: Bearer <ADMIN_API_KEY>`"}}},"paths":{"/restrictions":{"put":{"summary":"Update restrictions","description":"","operationId":"update-restrictions","parameters":[{"name":"dry_run","in":"query","description":"If set to true, conflicts are returned in the response and the update won't be applied.","schema":{"type":"boolean"}}],"requestBody":{"content":{"application/x-www-form-urlencoded":{"schema":{"type":"object","properties":{"restrictions":{"type":"string","description":"Request payload","format":"json"}}}}}},"responses":{"200":{"description":"200","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"resource":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"type":{"type":"string"}}},"operations":{"type":"object","properties":{"view":{"type":"boolean","default":true}}},"resourcePermissions":{"type":"object","properties":{"view":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"}}}}}}}}}}},"400":{"description":"400","content":{"application/json":{"schema":{"type":"object","properties":{"type":{"type":"string"},"status":{"type":"integer","default":0},"code":{"type":"string"},"requestId":{"type":"string"},"helpUrl":{"type":"string"},"errors":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string"},"code":{"type":"string"},"field":{"type":"string"},"impactedResource":{},"impactedSubjects":{}}}}}}}}},"401":{"description":"401","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer","default":0},"message":{"type":"string"},"details":{"type":"string"},"transactionId":{"type":"string"}}}}}},"409":{"description":"409","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer","default":0},"message":{"type":"string"},"details":{"type":"string"},"transactionId":{"type":"string"}}}}}},"500":{"description":"500","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer","default":0},"message":{"type":"string"},"details":{"type":"string"},"transactionId":{"type":"string"}}}}}}},"deprecated":false,"tags":["Restrictions"]}}}}
```
